rte_flow_update_age(3)

NAME
rte_flow_update_age

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t reserved:6
uint32_t timeout_valid:1
uint32_t timeout:24
uint32_t touch:1

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

RTE_FLOW_ACTION_TYPE_AGE

Update indirect AGE action attributes:

•   Timeout can be updated including stop/start action: +-------------+-------------+------------------------------+ | Old Timeout | New Timeout | Updating | +=============+=============+==============================+ | 0 | positive | Start aging with new value | +-------------+-------------+------------------------------+ | positive | 0 | Stop aging | +-------------+-------------+------------------------------+ | positive | positive | Change timeout to new value | +-------------+-------------+------------------------------+

•   sec_since_last_hit can be reset.

Definition at line 3425 of file rte_flow.h.

Field Documentation

  uint32_t reserved
Reserved, must be zero.

Definition at line 3426 of file rte_flow.h.

  uint32_t timeout_valid
The timeout is valid for update.

Definition at line 3427 of file rte_flow.h.

  uint32_t timeout
Time in seconds.

Definition at line 3428 of file rte_flow.h.

  uint32_t touch
Means that aging should assume packet passed the aging.

Definition at line 3430 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.